import { useLocalSearchParams } from "expo-router";
import { GenerateRoutePage } from "../../src/route/screens/generate_route_screen";

export default function GenerateRouteForm() {
  const { townId } = useLocalSearchParams<{ townId: string }>();
  if (!townId) {
    return null;
  }
  return <GenerateRoutePage townId={+townId} />;
}
